Bug 441365

Summary: Plasma crashed on Wayland when I tried to remove an empty entry from Clipboard applet by clicking on "Remove from history" button repeatedly
Product: plasmashell Reporter: Patrick Silva <bugseforuns>
Component: ClipboardAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED WORKSFORME    
Severity: crash CC: nate
Priority: NOR    
Version: master   
Target Milestone: 1.0   
Platform: Neon Packages   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: screenshot

Description Patrick Silva 2021-08-22 14:17:32 UTC
Application: plasmashell (5.22.80)

Qt Version: 5.15.3
Frameworks Version: 5.86.0
Operating System: Linux 5.11.0-27-generic x86_64
Windowing System: Wayland
Distribution: KDE neon Unstable Edition
DrKonqi: 5.22.80 [CoredumpBackend]

-- Information about the crash:
- What I was doing when the application crashed:
I cleared history of Clipboard applet but an empty entry persisted.
Then I tried to remove it by clicking on its "Remove from history" button repeatedly
and at some point Plasma crashed. Please see the attached screenshot.

The reporter is unsure if this crash is reproducible.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Content of s_kcrashErrorMessage: std::unique_ptr<char []> = {get() = 0x0}
[New LWP 15292]
[New LWP 15393]
[New LWP 15395]
[New LWP 15437]
[New LWP 15467]
[New LWP 15500]
[New LWP 15465]
[New LWP 15539]
[New LWP 15466]
[New LWP 21510]
[New LWP 19231]
[New LWP 21539]
[New LWP 15454]
[New LWP 19232]
[New LWP 15394]
[New LWP 15462]
[New LWP 15392]
[New LWP 15369]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `/usr/bin/plasmashell'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  __GI_raise (sig=sig@entry=11) at ../sysdeps/unix/sysv/linux/raise.c:50
[Current thread is 1 (Thread 0x7f92dad1e9c0 (LWP 15292))]
__preamble__

[Current thread is 1 (Thread 0x7f92dad1e9c0 (LWP 15292))]

Thread 18 (Thread 0x7f92da3bc700 (LWP 15369)):
#0  0x00007f92debc1aff in __GI___poll (fds=0x7f92d4005240, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f92dd47236e in g_main_context_poll (priority=<optimized out>, n_fds=3, fds=0x7f92d4005240, timeout=<optimized out>, context=0x7f92d4000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f92d4000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f92dd4724a3 in g_main_context_iteration (context=0x7f92d4000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f92df190fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f92d4000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f92df13525b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f92da3bbbb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f92def4ec22 in QThread::exec() (this=this@entry=0x7f92dfb46d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f92dfac2f4b in QDBusConnectionManager::run() (this=0x7f92dfb46d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007f92def4fdbc in QThreadPrivate::start(void*) (arg=0x7f92dfb46d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:329
#9  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f92d8839700 (LWP 15392)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ee37e73b3c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55ee37e73ae8, cond=0x55ee37e73b10) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55ee37e73b10, mutex=0x55ee37e73ae8) at pthread_cond_wait.c:647
#3  0x00007f92d8bd3a4b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f92d8bd364b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f92c1ffb700 (LWP 15462)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ee3a509844) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55ee3a5097f0, cond=0x55ee3a509818) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55ee3a509818, mutex=0x55ee3a5097f0) at pthread_cond_wait.c:647
#3  0x00007f92def55f2b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55ee3a5097f0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x55ee3851bbb8, mutex=mutex@entry=0x55ee3851bbb0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f92e0bafb44 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x55ee3851bba8) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x55ee3851bb10) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007f92e0baffb9 in QSGRenderThread::run() (this=0x55ee3851bb10) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007f92def4fdbc in QThreadPrivate::start(void*) (arg=0x55ee3851bb10) at thread/qthread_unix.cpp:329
#9  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f92d37fe700 (LWP 15394)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ee37e73b3c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55ee37e73ae8, cond=0x55ee37e73b10) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55ee37e73b10, mutex=0x55ee37e73ae8) at pthread_cond_wait.c:647
#3  0x00007f92d8bd3a4b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f92d8bd364b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f92c37fe700 (LWP 19232)):
#0  0x00007f92debc1aff in __GI___poll (fds=fds@entry=0x7f929c004200, nfds=nfds@entry=3, timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f9293df81d6 in poll (__timeout=-1, __nfds=3, __fds=0x7f929c004200) at /usr/include/x86_64-linux-gnu/bits/poll2.h:46
#2  poll_func (ufds=0x7f929c004200, nfds=3, timeout=-1, userdata=0x55ee42b51010) at pulse/thread-mainloop.c:70
#3  0x00007f9293de9841 in pa_mainloop_poll (m=m@entry=0x55ee427bc680) at pulse/mainloop.c:824
#4  0x00007f9293de9ec3 in pa_mainloop_iterate (m=0x55ee427bc680, block=<optimized out>, retval=0x0) at pulse/mainloop.c:926
#5  0x00007f9293de9f70 in pa_mainloop_run (m=0x55ee427bc680, retval=retval@entry=0x0) at pulse/mainloop.c:945
#6  0x00007f9293df811d in thread (userdata=0x55ee3e7af870) at pulse/thread-mainloop.c:101
#7  0x00007f9293d9472c in internal_thread_func (userdata=0x55ee3e646370) at pulsecore/thread-posix.c:81
#8  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f92c9225700 (LWP 15454)):
#0  0x00007f92debc1aff in __GI___poll (fds=0x7f92ac046bd0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f92dd47236e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f92ac046bd0, timeout=<optimized out>, context=0x7f92ac00f040) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f92ac00f040, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f92dd4724a3 in g_main_context_iteration (context=0x7f92ac00f040, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f92df190fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f92ac00fd50, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f92df13525b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f92c9224ba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f92def4ec22 in QThread::exec() (this=this@entry=0x55ee3a352110) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f92e0aea3ba in QQuickPixmapReader::run() (this=0x55ee3a352110) at util/qquickpixmapcache.cpp:1024
#8  0x00007f92def4fdbc in QThreadPrivate::start(void*) (arg=0x55ee3a352110) at thread/qthread_unix.cpp:329
#9  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f926f80f700 (LWP 21539)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f926f80eb50, clockid=<optimized out>, expected=0, futex_word=0x7f92ac012814) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f926f80eb50, clockid=<optimized out>, mutex=0x7f92ac0127c0, cond=0x7f92ac0127e8) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7f92ac0127e8, mutex=0x7f92ac0127c0, abstime=0x7f926f80eb50) at pthread_cond_wait.c:665
#3  0x00007f92def55eb8 in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x7f92ac0127c0, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x7f92ac0127c0) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x7f92ac00f960, mutex=mutex@entry=0x55ee387f6738, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f92def533c1 in QThreadPoolThread::run() (this=0x7f92ac00f950) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f92def4fdbc in QThreadPrivate::start(void*) (arg=0x7f92ac00f950) at thread/qthread_unix.cpp:329
#8  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f92c3fff700 (LWP 19231)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ee423cad30) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55ee423cace0, cond=0x55ee423cad08) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55ee423cad08, mutex=0x55ee423cace0) at pthread_cond_wait.c:647
#3  0x00007f92def55f2b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55ee423cace0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x55ee4334ed48, mutex=mutex@entry=0x55ee4334ed40, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f92e0bafb44 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x55ee4334ed38) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x55ee4334eca0) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007f92e0baffb9 in QSGRenderThread::run() (this=0x55ee4334eca0) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007f92def4fdbc in QThreadPrivate::start(void*) (arg=0x55ee4334eca0) at thread/qthread_unix.cpp:329
#9  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f92c27fc700 (LWP 21510)):
#0  0x00007f92debce5ce in epoll_wait (epfd=65, events=events@entry=0x7f92c27fb7f0, maxevents=32, timeout=-1) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#1  0x00007f92c82f1acb in impl_pollfd_wait (object=<optimized out>, pfd=<optimized out>, ev=0x7f92c27fb9a0, n_ev=<optimized out>, timeout=<optimized out>) at ../spa/plugins/support/system.c:155
#2  0x00007f92c82e44a4 in loop_iterate (object=0x55ee50093a48, timeout=-1) at ../spa/plugins/support/loop.c:292
#3  0x00007f92c8336e70 in do_loop (user_data=0x55ee3b003ad0) at ../src/pipewire/data-loop.c:79
#4  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#5  0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f9298a76700 (LWP 15466)):
#0  0x00007f92debc1aff in __GI___poll (fds=0x7f928c004c30, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f92dd47236e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f928c004c30, timeout=<optimized out>, context=0x7f928c000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f928c000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f92dd4724a3 in g_main_context_iteration (context=0x7f928c000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f92df190fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f928c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f92df13525b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f9298a75be0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f92def4ec22 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f92def4fdbc in QThreadPrivate::start(void*) (arg=0x55ee384d4830) at thread/qthread_unix.cpp:329
#8  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f928189a700 (LWP 15539)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ee3ec3a0e4) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55ee3ec3a090, cond=0x55ee3ec3a0b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55ee3ec3a0b8, mutex=0x55ee3ec3a090) at pthread_cond_wait.c:647
#3  0x00007f92def55f2b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55ee3ec3a090) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x55ee3b10cc48, mutex=mutex@entry=0x55ee3b10cc40, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f92e0bafb44 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x55ee3b10cc38) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x55ee3b10cba0) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007f92e0baffb9 in QSGRenderThread::run() (this=0x55ee3b10cba0) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007f92def4fdbc in QThreadPrivate::start(void*) (arg=0x55ee3b10cba0) at thread/qthread_unix.cpp:329
#9  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f9299277700 (LWP 15465)):
#0  0x00007f92debc1aff in __GI___poll (fds=0x7f9294004a80, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f92dd47236e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f9294004a80, timeout=<optimized out>, context=0x7f9294000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f9294000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f92dd4724a3 in g_main_context_iteration (context=0x7f9294000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f92df190fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f9294000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f92df13525b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f9299276bc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f92def4ec22 in QThread::exec() (this=this@entry=0x55ee3dbaa930) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f92996a0669 in QQuickXmlQueryEngine::run() (this=0x55ee3dbaa930) at qqmlxmllistmodel.cpp:325
#8  0x00007f92def4fdbc in QThreadPrivate::start(void*) (arg=0x55ee3dbaa930) at thread/qthread_unix.cpp:329
#9  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f9283fff700 (LWP 15500)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ee3b139ce0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55ee3b139c90, cond=0x55ee3b139cb8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55ee3b139cb8, mutex=0x55ee3b139c90) at pthread_cond_wait.c:647
#3  0x00007f92def55f2b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55ee3b139c90) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x55ee3f32ebd8, mutex=mutex@entry=0x55ee3f32ebd0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f92e0bafb44 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x55ee3f32ebc8) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x55ee3f32eb30) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007f92e0baffb9 in QSGRenderThread::run() (this=0x55ee3f32eb30) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007f92def4fdbc in QThreadPrivate::start(void*) (arg=0x55ee3f32eb30) at thread/qthread_unix.cpp:329
#9  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f9291cd4700 (LWP 15467)):
#0  0x00007f92debc1aff in __GI___poll (fds=0x7f9284006930, nfds=1, timeout=3499900) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f92dd47236e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f9284006930, timeout=<optimized out>, context=0x7f9284000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f9284000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f92dd4724a3 in g_main_context_iteration (context=0x7f9284000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f92df190fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f9284000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f92df13525b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f9291cd3ba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f92def4ec22 in QThread::exec() (this=this@entry=0x55ee3b3bd980) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f9291db407c in KCupsConnection::run() (this=0x55ee3b3bd980) at ./libkcups/KCupsConnection.cpp:289
#8  0x00007f92def4fdbc in QThreadPrivate::start(void*) (arg=0x55ee3b3bd980) at thread/qthread_unix.cpp:329
#9  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f92cbfff700 (LWP 15437)):
#0  0x00007f92debc1aff in __GI___poll (fds=0x7f92b8004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f92dd47236e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f92b8004e60, timeout=<optimized out>, context=0x7f92b8000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f92b8000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f92dd4724a3 in g_main_context_iteration (context=0x7f92b8000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f92df190fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f92b8000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f92df13525b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f92cbffebc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f92def4ec22 in QThread::exec() (this=this@entry=0x55ee3824a590) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f92e075f549 in QQmlThreadPrivate::run() (this=0x55ee3824a590) at qml/ftw/qqmlthread.cpp:155
#8  0x00007f92def4fdbc in QThreadPrivate::start(void*) (arg=0x55ee3824a590) at thread/qthread_unix.cpp:329
#9  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f92d2ffd700 (LWP 15395)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ee37e73b3c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55ee37e73ae8, cond=0x55ee37e73b10) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55ee37e73b10, mutex=0x55ee37e73ae8) at pthread_cond_wait.c:647
#3  0x00007f92d8bd3a4b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f92d8bd364b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f92d3fff700 (LWP 15393)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ee37e73b3c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55ee37e73ae8, cond=0x55ee37e73b10) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55ee37e73b10, mutex=0x55ee37e73ae8) at pthread_cond_wait.c:647
#3  0x00007f92d8bd3a4b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f92d8bd364b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f92ddea4609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f92debce293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f92dad1e9c0 (LWP 15292)):
[KCrash Handler]
#3  std::__atomic_base<QThreadData*>::load(std::memory_order) const (__m=std::memory_order_relaxed, this=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/c++/9/bits/atomic_base.h:734
#4  std::atomic<QThreadData*>::load(std::memory_order) const (__m=std::memory_order_relaxed, this=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/c++/9/atomic:519
#5  QAtomicOps<QThreadData*>::loadRelaxed<QThreadData*>(std::atomic<QThreadData*> const&) (_q_value=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qatomic_cxx11.h:239
#6  QBasicAtomicPointer<QThreadData>::loadRelaxed() const (this=<error reading variable: Cannot access memory at address 0x8>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qbasicatomic.h:248
#7  QQmlNotifierEndpoint::connect(QObject*, int, QQmlEngine*, bool) (this=this@entry=0x55ee4fe56360, source=0x55ee4bf94600, sourceSignal=46, engine=0x0, doNotify=doNotify@entry=true) at qml/qqmlnotifier.cpp:122
#8  0x00007f92e068cf64 in QQmlVMEMetaObjectEndpoint::tryConnect() (this=this@entry=0x55ee4fe56360) at ../../include/QtQml/5.15.3/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:266
#9  0x00007f92e068d1ca in QQmlVMEMetaObject::connectAlias(int) (this=this@entry=0x55ee4cc1f090, aliasId=aliasId@entry=1) at qml/qqmlvmemetaobject.cpp:1294
#10 0x00007f92e068ea92 in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) (this=0x55ee4cc1f090, o=<optimized out>, c=QMetaObject::ReadProperty, _id=<optimized out>, a=0x7fff5e30ca00) at qml/qqmlvmemetaobject.cpp:906
#11 0x00007f92e05b8cc5 in loadProperty(QV4::ExecutionEngine*, QObject*, QQmlPropertyData const&) () at ../../include/QtQml/5.15.3/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:357
#12 0x00007f92903f8643 in  ()
#13 0x0000000000000000 in  ()

Possible duplicates by query: bug 439498, bug 430431, bug 427945.

Report to https://bugs.kde.org/
Comment 1 Patrick Silva 2021-08-22 14:23:33 UTC
Created attachment 140949 [details]
screenshot
Comment 2 Nate Graham 2021-08-23 20:25:45 UTC
Hmm, looks like memory corruption.
Comment 3 Nate Graham 2022-01-12 18:13:30 UTC
Can you reproduce this in current git master? I can't.
Comment 4 Bug Janitor Service 2022-01-27 04:37:50 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 5 Bug Janitor Service 2022-02-11 04:37:26 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!